/**********************************************************************
Copyright (c) 2006 Travis Reeder and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package org.datanucleus.sql4o.query;

import java.util.List;
import java.util.ArrayList;

/**
 * 
 */
public class Select
{
    private List<String> fields = new ArrayList<String>();

    public void addField(String field)
    {
        fields.add(field);
    }

    public List<String> getFields()
    {
        return fields;
    }

    public void setFields(List<String> fields)
    {
        this.fields = fields;
    }

    public String toString()
    {
        StringBuffer ret = new StringBuffer("SELECT ");
        for (int i = 0; i < fields.size(); i++)
        {
            String field = fields.get(i);
            if (i > 0)
            {
                ret.append(", ");
            }
            ret.append(field);
        }
        return ret.toString();
    }
}